<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Create-an-MdmServer",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:post:v1-mdmServers"
  },
  "title" : "Create a Device Management Service"
}
-->

# Create a Device Management Service

Create a new device management service in an organization.

## Overview> Note: The `serverName` and `serverCertificate` attributes are required.

### Example

**Request:**

```
curl -X POST "https://api-business.apple.com/v1/mdmServers" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "mdmServers",
        "attributes": {
          "serverName": "Marketing Team MDM",
          "serverCertificate": {
            "name": "marketing-mdm.cer",
            "data": "MIIDXTCCAkWgAwIBAgIJALxxxxxxx..."
          },
          "enableMdmDisownFlag": true
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "mdmServers",
    "id": "2A87349736CF4614A94F624E705841BE",
    "attributes": {
      "serverName": "Marketing Team MDM",
      "serverType": "MDM",
      "enableMdmDisownFlag": true,
      "status": "ACTIVE",
      "deviceCount": 0,
      "createdDateTime": "2026-06-01T10:30:00Z",
      "updatedDateTime": "2026-06-01T10:30:00Z"
    },
    "relationships": {
      "devices": {
        "links": {
          "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE/relationships/devices"
        }
      }
    },
    "links": {
      "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE"
  }
}
```

## Topics

### Responses

[`object MdmServerResponse`](/documentation/AppleBusinessAPI/MdmServerResponse)

A response that contains a single device management service resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)